<template>
  <!-- Here a iframe is used to show the pdf preview. -->
  <iframe
    :style="'height: ' + getIframeHeight + 'px;'"
    v-if="$vuetify.breakpoint.smAndUp"
    id="pdfIframe"
    :src="getIframeSrc"
    title="Dokument Vorschau"
  ></iframe>
</template>

<script>
export default {
  name: "DocumentPreview",
  computed: {
    //gets the source of the iframe
    getIframeSrc: function() {
      return this.$store.state.iframesrc;
    },
    //adjust the height for the advice that is using PhysioForm
    getIframeHeight: function() {
      if (this.$vuetify.breakpoint.lgAndUp) {
        return this.$vuetify.breakpoint.height - 71;
      } else {
        return this.$vuetify.breakpoint.height - 274;
      }
    }
  }
};
</script>

<style scoped>
#pdfIframe {
  border: none;
  width: 100%;
  height: 1020px;
}
</style>
